name: simpletorrent
services:
  simpletorrent:
    container_name: simpletorrent
    image: boypt/cloud-torrent:1.3.9
    deploy:
      resources:
        reservations:
          memory: 256M
    restart: unless-stopped
    network_mode: bridge
    privileged: false
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/torrents
        target: /torrents
      - type: bind
        source: /DATA/Downloads
        target: /downloads
    ports:
      - target: 3000
        published: "3000"
        protocol: tcp
      - target: 50007
        published: "50007"
        protocol: udp
    x-casaos:
      ports:
        - container: "3000"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口
          protocol: tcp
        - container: "50007"
          description:
            en_us: Torrent Incoming port
            zh_cn: 洪流传入端口
          protocol: udp
      volumes:
        - container: /torrents
          description:
            en_us: SimpleTorrent torrents directory.
            zh_cn: SimpleTorrent 种子目录。
        - container: /downloads
          description:
            en_us: SimpleTorrent Download Directory.
            zh_cn: SimpleTorrent下载目录
x-casaos:
  architectures:
    - amd64
    - arm64
  main: simpletorrent
  author: joaobosconff
  category: Downloader
  description:
    en_us: SimpleTorrent is a a self-hosted remote torrent client, written in Go (golang). Started torrents remotely, download sets of files on the local disk of the server, which are then retrievable or streamable via HTTP.
    zh_cn: SimpleTorrent 是一个用 Go 语言编写的自托管远程 BT 客户端。它可以远程启动 BT 任务，将下载的文件集保存到服务器本地磁盘，然后通过 HTTP 进行检索或流式传输。
    pt_br: SimpleTorrent é um cliente torrent remoto auto-hospedado, desenvolvido em Go (golang). Inicia torrents remotamente, baixa conjuntos de arquivos no disco local do servidor, os quais podem então ser recuperados ou transmitidos via HTTP.
  developer: boypt / jpillora
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/SimpleTorrent/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/SimpleTorrent/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/SimpleTorrent/screenshot-2.png
  tagline:
    en_us: Self-hosted remote torrent client.
    zh_cn: 自托管远程 torrent 客户端。
    pt_br: Cliente de torrent remoto auto-hospedado.
  title:
    en_us: SimpleTorrent
    zh_cn: SimpleTorrent
    pt_br: SimpleTorrent
  index: /
  port_map: "3000"
